Subject: [bug#46231] Add emilua

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 21 Feb 2021 02:21:42 +0100

Hello,

Vinícius dos Santos Oliveira <[email-masked]> writes:

> I've created a new package for guix. Here's its definition:
> https://gitlab.com/emilua/emilua/-/snippets/2068658

Thank you!

> Please let me know if it has any issues so I can fix them until it's
> ready for inclusion in the main repository.

There are some issue to fix:
- the name of the custom luajit2 package should be changed. Maybe
  openresty-luajit?
- that package should have a proper version and build tag out of it.
- I see that emilua uses #:recursive? set to #true. Could some
  submodules could be unbundled by any chance?
- You disabled tests. I would be nice to provide a reason for that.
- You don't need `string-append' in the description. Just write the full
  textin a single string.

Could you split this into two patches and send them here, for easier review?

Regards,
-- 
Nicolas Goaziou